Package com.veeva.vault.sdk.api.document
Interface RenditionService
- All Superinterfaces:
Service
Provides service methods to work with document renditions, including the ability to read structural metadata of PDF
document renditions, such as page counts, page sizes, rotations, links, named destinations, and bookmarks.
-
Method Summary
Modifier and TypeMethodDescriptionCreates a newRenditionReadBookmarkExecutionRequest.Builder.Creates a newRenditionReadBookmarkPageRequest.Builder.Creates a newRenditionReadNamedDestinationExecutionRequest.Builder.Creates a newRenditionReadNamedDestinationPageRequest.Builder.Creates a newRenditionReadPageLinkExecutionRequest.Builder.Creates a newRenditionReadPageLinkPageRequest.Builder.Creates a newRenditionReadPageSizeExecutionRequest.Builder.Creates a newRenditionReadPageSizePageRequest.Builder.Provides an operation to read bookmarks from PDF document renditions.Provides an operation to read named destinations from PDF document renditions in a paginated manner.Provides an operation to read embedded links from pages of PDF document renditions.Provides an operation to read page size, crop, and rotation information about pages of PDF document renditions.
-
Method Details
-
readBookmarks
Provides an operation to read bookmarks from PDF document renditions. The metadata is provided as-is. Extracted values that are considered invalid according to PDF specifications will not be sanitized when returned. Only supported actions specified byHyperlinkAction.getType()will be included with the bookmarks. Read as a flat structure in a paginated manner. Default and maximum page size is 10,000.- Parameters:
request- aRenditionReadBookmarkRequestobject containing the query parameters to read bookmarks for- Returns:
- a
RenditionReadBookmarkOperation, which will read bookmarks from the document rendition if successful, or give an error if not successful
-
readNamedDestinations
RenditionReadNamedDestinationOperation readNamedDestinations(RenditionReadNamedDestinationRequest request) Provides an operation to read named destinations from PDF document renditions in a paginated manner. Default and maximum page size is 10,000.- Parameters:
request- aRenditionReadNamedDestinationRequestobject containing the query parameters to read named destinations for- Returns:
- a
RenditionReadNamedDestinationOperation, which will read named destinations from the document rendition if successful, or give an error if not successful
-
readPageLinks
Provides an operation to read embedded links from pages of PDF document renditions. Embedded links are also known as link annotations in PDF specifications. The pages are read using a pagination pattern, where the limit (maximum 100) and offset may be specified. The metadata is provided as-is. Extracted values that are considered invalid according to PDF specifications will not be sanitized when returned. Only supported actions specified byHyperlinkAction.getType()will be included with the links.- Parameters:
request- aRenditionReadPageLinkRequestobject containing the query parameters to read embedded links for- Returns:
- a
RenditionReadPageLinkOperation, which will read embedded links from chunks of pages in the document renditions if successful, or give an error if not successful
-
readPageSizes
Provides an operation to read page size, crop, and rotation information about pages of PDF document renditions. The pages are read using a pagination pattern, where the limit (maximum 100) and offset may be specified.- Parameters:
request- aRenditionReadPageSizeRequestobject containing the query parameters to read page size, crop, and rotation information for- Returns:
- a
RenditionReadPageSizeOperation, which will read page size, crop, and rotation information from chunks of pages in the document renditions if successful, or give an error if not successful
-
newReadBookmarkExecutionRequestBuilder
RenditionReadBookmarkExecutionRequest.Builder newReadBookmarkExecutionRequestBuilder()Creates a newRenditionReadBookmarkExecutionRequest.Builder.- Returns:
- the builder for a
RenditionReadBookmarkExecutionRequest
-
newReadBookmarkPageRequestBuilder
RenditionReadBookmarkPageRequest.Builder newReadBookmarkPageRequestBuilder()Creates a newRenditionReadBookmarkPageRequest.Builder.- Returns:
- the builder for a
RenditionReadBookmarkPageRequest
-
newReadNamedDestinationExecutionRequestBuilder
RenditionReadNamedDestinationExecutionRequest.Builder newReadNamedDestinationExecutionRequestBuilder()Creates a newRenditionReadNamedDestinationExecutionRequest.Builder.- Returns:
- the builder for a
RenditionReadNamedDestinationExecutionRequest
-
newReadNamedDestinationPageRequestBuilder
RenditionReadNamedDestinationPageRequest.Builder newReadNamedDestinationPageRequestBuilder()Creates a newRenditionReadNamedDestinationPageRequest.Builder.- Returns:
- the builder for a
RenditionReadNamedDestinationPageRequest
-
newReadPageLinkExecutionRequestBuilder
RenditionReadPageLinkExecutionRequest.Builder newReadPageLinkExecutionRequestBuilder()Creates a newRenditionReadPageLinkExecutionRequest.Builder.- Returns:
- the builder for a
RenditionReadPageLinkExecutionRequest
-
newReadPageLinkPageRequestBuilder
RenditionReadPageLinkPageRequest.Builder newReadPageLinkPageRequestBuilder()Creates a newRenditionReadPageLinkPageRequest.Builder.- Returns:
- the builder for a
RenditionReadPageLinkPageRequest
-
newReadPageSizeExecutionRequestBuilder
RenditionReadPageSizeExecutionRequest.Builder newReadPageSizeExecutionRequestBuilder()Creates a newRenditionReadPageSizeExecutionRequest.Builder.- Returns:
- the builder for a
RenditionReadPageSizeExecutionRequest
-
newReadPageSizePageRequestBuilder
RenditionReadPageSizePageRequest.Builder newReadPageSizePageRequestBuilder()Creates a newRenditionReadPageSizePageRequest.Builder.- Returns:
- the builder for a
RenditionReadPageSizePageRequest
-